Package org.kie.api.task.model

## Interface TaskSummary

- All Superinterfaces:
    `java.io.Externalizable`, `QuickTaskSummary`, `java.io.Serializable`

      public interface TaskSummary
      extends QuickTaskSummary

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `User` | `getActualOwner()` |
    `java.lang.String` | `getCorrelationKey()` |
    `User` | `getCreatedBy()` |
    `java.lang.String` | `getDescription()` |
    `java.util.List<java.lang.String>` | `getPotentialOwners()` | Deprecated.
    `java.lang.Long` | `getProcessSessionId()` |
    `java.lang.Integer` | `getProcessType()` |
    `Status` | `getStatus()` |
    `java.lang.String` | `getSubject()` |
    `java.lang.Boolean` | `isQuickTaskSummary()` |
    `java.lang.Boolean` | `isSkipable()` |

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

    - ### Methods inherited from interface org.kie.api.task.model.QuickTaskSummary

      `getActivationTime, getActualOwnerId, getCreatedById, getCreatedOn, getDeploymentId, getExpirationTime, getId, getName, getParentId, getPriority, getProcessId, getProcessInstanceId, getStatusId`

- - ### Method Detail

    - #### getSubject

          java.lang.String getSubject()

    - #### getDescription

          java.lang.String getDescription()

    - #### getStatus

          Status getStatus()

    - #### isSkipable

          java.lang.Boolean isSkipable()

    - #### getActualOwner

          User getActualOwner()

    - #### getCreatedBy

          User getCreatedBy()

    - #### getProcessSessionId

          java.lang.Long getProcessSessionId()

    - #### getPotentialOwners

          @Deprecated
          java.util.List<java.lang.String> getPotentialOwners()

      Deprecated.

    - #### isQuickTaskSummary

          java.lang.Boolean isQuickTaskSummary()

    - #### getCorrelationKey

          java.lang.String getCorrelationKey()

    - #### getProcessType

          java.lang.Integer getProcessType()